App\Entity\Document:
    type: entity
    table: null
    repositoryClass: App\Repository\DocumentRepository
    id:
        id:
            type: integer
            id: true
            generator:
                strategy: AUTO
    fields:
        nom:
            type: string
            length: 255
            unique: true
    lifecycleCallbacks: {  }
